For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update an OAuth2/OpenID client application

put
Authorizations
defguard_sessionstringRequired
Path parameters
client_idstringRequired

ID of the OAuth2 client.

Body
enabledbooleanRequired
namestringRequired
redirect_uristring[]Required
scopestring[]Required
Responses
200

OAuth2 client updated.

No content

put/api/v1/oauth/{client_id}
PUT /api/v1/oauth/{client_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "enabled": true,
  "name": "text",
  "redirect_uri": [
    "text"
  ],
  "scope": [
    "text"
  ]
}

No content

Last updated

Was this helpful?